Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.support
Class ReloadableResourceBundleMessageSource.PropertiesHolder

    java.lang.Object
      org.springframework.context.support.ReloadableResourceBundleMessageSource.PropertiesHolder

Enclosing class:
  ReloadableResourceBundleMessageSource

    protected class ReloadableResourceBundleMessageSource.PropertiesHolder

extends java.lang.Object

PropertiesHolder for caching. Stores the last-modified timestamp of the source file for efficient change detection, and the timestamp of the last refresh attempt (updated every time the cache entry gets re-validated).

Constructor Summary
`ReloadableResourceBundleMessageSource.PropertiesHolder()`
`ReloadableResourceBundleMessageSource.PropertiesHolder(java.util.Properties properties, long fileTimestamp)`

Method Summary
`long` | `getFileTimestamp()`
`java.text.MessageFormat` | `getMessageFormat(java.lang.String code, java.util.Locale locale)`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String code)`
`long` | `getRefreshTimestamp()`
`void` | `setRefreshTimestamp(long refreshTimestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReloadableResourceBundleMessageSource.PropertiesHolder

    public ReloadableResourceBundleMessageSource.PropertiesHolder(java.util.Properties properties,
                                                                  long fileTimestamp)

### ReloadableResourceBundleMessageSource.PropertiesHolder

    public ReloadableResourceBundleMessageSource.PropertiesHolder()

Method Detail

### getProperties

    public java.util.Properties getProperties()

### getFileTimestamp

    public long getFileTimestamp()

### setRefreshTimestamp

    public void setRefreshTimestamp(long refreshTimestamp)

### getRefreshTimestamp

    public long getRefreshTimestamp()

### getProperty

    public java.lang.String getProperty(java.lang.String code)

### getMessageFormat

    public java.text.MessageFormat getMessageFormat(java.lang.String code,
                                                    java.util.Locale locale)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD